* 
* GEE analysis using Stata.
* 


insheet using "/Users/chl/Documents/Slides/gee_tutor/code/ohio.txt", delimiter(" ") clear
xtset age

* GEE
* Same as: xtlogit resp age smoke, nolog pa
xtgee resp age smoke, family(binomial) link(logit) corr(exc) robust
estat vce
xtcorr

* Treating age as categorical
recode age (-2 = 7) (-1 = 8) (0 = 9) (1 = 10), gen(agec)
set matsize 540
xtgee resp i.agec smoke, family(binomial) link(logit) corr(exc) vce(robust)
testparm i.agec

xtgee resp i.agec smoke, family(binomial) link(logit) corr(exc) vce(robust) eform
margins agec, dydx(smoke)
margins agec, at(smoke=(0 1))

predict f
tabstat f, by(agec) stats(mean)
sort agec
twoway (line f agec if smoke==0) (line f agec if smoke==1), ///
  ytitle("Predicted Mean Value of Response") ylabel(0.1(0.05)0.25) ///
  xtitle("Age (years)") legend(order(1 "Not smoking" 2 "Smoking"))

* Random intercept model for logistic regression
xtlogit resp age smoke, nolog re eform

gllamm resp age smoke, i(id)
